GET
/
api
/
v1
/
facets
/
photographers
/
suggest
Search photographers
curl --request GET \
  --url https://api.pexafy.com/api/v1/facets/photographers/suggest \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.pexafy.com/api/v1/facets/photographers/suggest"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.pexafy.com/api/v1/facets/photographers/suggest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pexafy.com/api/v1/facets/photographers/suggest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.pexafy.com/api/v1/facets/photographers/suggest"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-api-key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.pexafy.com/api/v1/facets/photographers/suggest")
.header("x-api-key", "<api-key>")
.asString();
require 'uri'
require 'net/http'

url = URI("https://api.pexafy.com/api/v1/facets/photographers/suggest")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'

response = http.request(request)
puts response.read_body
{
  "success": true,
  "data": [
    {
      "username": "adrien-olichon",
      "full_name": "Adrien Olichon",
      "source": "Pexels",
      "url": "https://www.pexels.com/search/users/Adrien%20Olichon/",
      "photos_count": 136
    },
    {
      "username": "adrienolichon",
      "full_name": "Adrien Olichon",
      "source": "Unsplash",
      "url": "https://unsplash.com/@adrienolichon",
      "photos_count": 101
    }
  ],
  "meta": {
    "request_id": "a92e5eee-f9a6-4640-906f-7b79b481e555",
    "took_ms": 21.45
  },
  "error": null
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Pass your Pexafy API key in this header.

Get your API key at pexafy.com/dashboard/api-keys/create.

Query Parameters

q
string
required

What the user has typed so far — a partial name or username (1–100 characters).

Required string length: 1 - 100
limit
integer
default:10

Maximum number of suggestions to return, from 1 to 50. Defaults to 10.

Required range: 1 <= x <= 50

Response

Successful Response

success
boolean
data
object[]
meta
object
error
object | null